netlink_pm.h File Reference

Kernel generic netlink path manager details. More...

`#include <mptcpd/private/netlink_pm.h>`
`#include <mptcpd/types.h>`
`#include <stdbool.h>`
Include dependency graph for netlink_pm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | MPTCP_SYSCTL_BASE "/proc/sys/net/mptcp/"
| Directory containing MPTCP sysctl variable entries.
#define | MPTCP_SYSCTL_VARIABLE(name) MPTCP_SYSCTL_BASE #name
| Constuct full path for MPTCP sysctl variable "@a name".

## Functions

struct mptcpd_netlink_pm const * | mptcpd_get_netlink_pm (void)
| Get MPTCP generic netlink path manager characteristics.
bool | mptcpd_is_kernel_mptcp_enabled (char const *path, char const *variable, int enable_val)
| Verify that MPTCP is enabled at run-time in the kernel. More...

## Detailed Description

Kernel generic netlink path manager details.

Copyright (c) 2021, Intel Corporation

## Function Documentation

## mptcpd_is_kernel_mptcp_enabled()

bool mptcpd_is_kernel_mptcp_enabled | ( | char const * | path,
|  | char const * | variable,
|  | int | enable_val
| ) |  |

Verify that MPTCP is enabled at run-time in the kernel.

Check that MPTCP is enabled through the specified `sysctl` variable.

Parameters

  [in] | path | Path to file containing MPTCP sysctl "enable" value, e.g. "/proc/sys/net/mptcp/enabled".
  [in] | variable | Name of "enabled" variable.
  [in] | enable_val | Value needed to enable MPTCP in the kernel.

Returns
  `true` if MPTCP is enabled in the kernel, and `false` otherwise.